{
  "accUserMode" : 2,
  "caption" : "列表视图",
  "codeName" : "TESTListView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTListView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "TESTListView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "ListView",
    "name" : "engine"
  } ],
  "getPSAppViewNavContexts" : [ {
    "key" : "B",
    "name" : "B",
    "value" : "srfusername",
    "rawValue" : false
  }, {
    "key" : "A",
    "name" : "A",
    "value" : "a",
    "rawValue" : true
  } ],
  "getPSAppViewNavParams" : [ {
    "key" : "d",
    "name" : "d",
    "value" : "srfusername",
    "rawValue" : false
  }, {
    "key" : "c",
    "name" : "c",
    "value" : "c",
    "rawValue" : true
  } ],
  "getPSControls" : [ {
    "codeName" : "Default",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHFORMS/Default.json",
    "logicName" : "默认搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "n_testname_like",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "id" : "formitem",
      "dataType" : 25
    }, {
      "id" : "formitem1",
      "dataType" : 25
    }, {
      "id" : "formitem2",
      "dataType" : 25
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "caption" : "测试实体名称",
        "codeName" : "n_testname_like",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "n_testname_like",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "n_testname_like"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "条件一",
        "codeName" : "formitem",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "formitem",
        "noPrivDisplayMode" : 1,
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "formitem"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "条件二",
        "codeName" : "formitem1",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "formitem1",
        "noPrivDisplayMode" : 1,
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "formitem1"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "条件三",
        "codeName" : "formitem2",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "formitem2",
        "noPrivDisplayMode" : 1,
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "formitem2"
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "00eb0969f8c08fcc8321a6d60dcb7ae3",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "ListViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "工具栏模板（默认表格界面）",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "caption" : "其它",
      "itemType" : "ITEMS",
      "name" : "tbitem16",
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF",
          "lanResType" : "MENUITEM.CAPTION",
          "name" : "菜单项文本[*.EXPORTSRF]",
          "refFlag" : true
        },
        "caption" : "导出数据模型",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem21",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem21"
        },
        "getPSSysImage" : {
          "glyph" : "xf019@FontAwesome",
          "cssClass" : "fa fa-download"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF",
            "lanResType" : "MENUITEM.CAPTION",
            "name" : "菜单项文本[*.EXPORTSRF]",
            "refFlag" : true
          },
          "caption" : "导出数据模型",
          "codeName" : "ExportModel",
          "fullCodeName" : "ExportModel",
          "name" : "表格界面_导出数据模型",
          "getPSSysImage" : {
            "glyph" : "xf019@FontAwesome",
            "cssClass" : "fa fa-download"
          },
          "predefinedType" : "GRIDVIEW_EXPORTXMLACTION",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "ExportModel",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "导出数据模型",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "tooltip" : "其它",
      "showCaption" : true,
      "showIcon" : true
    } ],
    "xDataControlName" : "list",
    "modelid" : "b912ff540f5614f63914a38067d84728",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "List",
    "controlStyle" : "ICONVIEW",
    "controlType" : "LIST",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSLISTS/List.json",
    "emptyText" : "无数据",
    "getEmptyTextPSLanguageRes" : {
      "defaultContent" : "空",
      "lanResTag" : "CL.ITEM.LNAME.EMPTY",
      "lanResType" : "CL.ITEM.LNAME",
      "name" : "代码表空白资源[CL.ITEM.LNAME.EMPTY]",
      "refFlag" : true
    },
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "getADPSAppDELogic" : {
        "modelref" : true,
        "id" : "FieldComputeLogic"
      },
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "groupMode" : "NONE",
    "height" : 100.0,
    "hookEventNames" : [ "点击" ],
    "getItemPSLayoutPanel" : {
      "getAllPSPanelFields" : [ {
        "id" : "field_text_dynamic",
        "viewFieldName" : "TESTNAME"
      } ],
      "codeName" : "Usr0320379800",
      "controlType" : "PANEL",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSPANELS/Usr0320379800.json",
      "layoutMode" : "FLEX",
      "logicName" : "列表面板",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : { },
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getRootPSPanelItems" : [ {
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "page_container",
        "getPSLayout" : {
          "dir" : "column",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "文本(动态)",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field_text_dynamic",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field_text_dynamic",
            "predefinedType" : "FIELD_TEXT_DYNAMIC",
            "renderMode" : "TEXT_DYNAMIC",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "viewFieldName" : "TESTNAME",
          "hidden" : false,
          "showCaption" : false
        } ]
      } ],
      "layoutPanel" : true,
      "name" : "list_itempanel",
      "modelid" : "31C2E91E-E5D0-4187-8559-5DF8FCED5153",
      "modeltype" : "PSSYSVIEWPANEL"
    },
    "logicName" : "List",
    "minorSortDir" : "ASC",
    "getMinorSortPSAppDEField" : {
      "name" : "TESTNAME",
      "codeName" : "TESTName"
    },
    "mobListStyle" : "ICONVIEW",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "getADPSAppDELogic" : {
          "modelref" : true,
          "id" : "FieldComputeLogic"
        },
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "列表控件处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "点击",
      "logicTag" : "list",
      "logicType" : "APPDEUILOGIC",
      "name" : "member1",
      "getPSAppDEUILogic" : {
        "modelref" : true,
        "id" : "UILogic1"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    }, {
      "eventNames" : "点击",
      "logicTag" : "list",
      "logicType" : "APPDEUILOGIC",
      "name" : "member2",
      "getPSAppDEUILogic" : {
        "modelref" : true,
        "id" : "UILogic1"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    }, {
      "logicTag" : "list",
      "logicType" : "PFPLUGIN",
      "name" : "member3",
      "timer" : 333,
      "triggerType" : "TIMER"
    }, {
      "logicTag" : "list",
      "logicType" : "SCRIPT",
      "name" : "member5",
      "scriptCode" : "eeeee",
      "triggerType" : "CUSTOM"
    } ],
    "getPSControlParam" : {
      "height" : 100.0,
      "width" : 300.0,
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "LIST"
    },
    "getPSDEListDataItems" : [ {
      "dataType" : 25,
      "name" : "testname"
    }, {
      "dataType" : 25,
      "name" : "testid"
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    } ],
    "getPSSysCss" : {
      "cssName" : "test3"
    },
    "pagingSize" : 1000,
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "width" : 300.0,
    "hasWFDataItems" : false,
    "enableGroup" : false,
    "enableItemPrivilege" : true,
    "enableRowEdit" : true,
    "enableRowEditGroup" : true,
    "enableRowEditOrder" : true,
    "enableRowNew" : false,
    "noSort" : false,
    "showHeader" : true,
    "name" : "list",
    "modelid" : "85F275B0-E355-42B6-89DD-25541320AFEC",
    "modeltype" : "PSDELIST"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "caption" : "列表视图",
    "codeName" : "ListViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "ListView",
  "getPSDEViewId" : "138F7563-334D-49E0-B344-B2DC4DBBE571",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDELISTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "测试实体列表视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DELISTVIEW",
  "xDataControlName" : "list",
  "enableDP" : true,
  "enableFilter" : false,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "expandSearchForm" : true,
  "readOnly" : true,
  "modelid" : "cb0d9598545bcfa333c30b57d3cc546a",
  "modeltype" : "PSAPPDEVIEW"
}